curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/industries?api_key=YOUR_API_KEY"
{
"success": true,
"message": "Data retrieved successfully",
"data": [
{
"id": 1,
"industry_name": "Technology",
"sub_industry_list": [
{ "sub_industry_name": "Software" },
{ "sub_industry_name": "Hardware" }
]
},
{
"id": 2,
"industry_name": "Healthcare",
"sub_industry_list": []
}
],
"pagination": {
"limit": 10,
"offset": 0,
"page": 1,
"count": 2
},
"search": null
}
{
"statusCode": 401,
"success": false,
"message": "Unauthorized",
"error": "User not authenticated"
}
Smart Prospect
Industries API
List industries for the authenticated user - GET /industries
GET
/
api
/
v1
/
search-email-leads
/
industries
curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/industries?api_key=YOUR_API_KEY"
{
"success": true,
"message": "Data retrieved successfully",
"data": [
{
"id": 1,
"industry_name": "Technology",
"sub_industry_list": [
{ "sub_industry_name": "Software" },
{ "sub_industry_name": "Hardware" }
]
},
{
"id": 2,
"industry_name": "Healthcare",
"sub_industry_list": []
}
],
"pagination": {
"limit": 10,
"offset": 0,
"page": 1,
"count": 2
},
"search": null
}
{
"statusCode": 401,
"success": false,
"message": "Unauthorized",
"error": "User not authenticated"
}
This endpoint requires authentication via API key passed as a query parameter (
api_key).Query Parameters
string
required
Your SmartLead API key for authentication
string
Number of industries to return (1–100). Pattern: ^[1-9][0-9]*$ or 100. Default: “10”.
string
Number of industries to skip for pagination (≥ 0). Pattern: ^[0-9]+$. Default: “0”.
string
Search string to match industry names starting with this value (1–255 characters).
string
Include sub-industries for each industry. Values: true or false.
curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/industries?api_key=YOUR_API_KEY"
Response Codes
Success
Request successful
Unauthorized
Unauthorized
Internal Server Error
Internal Server Error
{
"success": true,
"message": "Data retrieved successfully",
"data": [
{
"id": 1,
"industry_name": "Technology",
"sub_industry_list": [
{ "sub_industry_name": "Software" },
{ "sub_industry_name": "Hardware" }
]
},
{
"id": 2,
"industry_name": "Healthcare",
"sub_industry_list": []
}
],
"pagination": {
"limit": 10,
"offset": 0,
"page": 1,
"count": 2
},
"search": null
}
{
"statusCode": 401,
"success": false,
"message": "Unauthorized",
"error": "User not authenticated"
}
